COLOSSAL-CAVE-ADVENTURE(6)

NAME
colossal-cave-adventure - text adventure of exploration in Colossal Cave

SYNOPSIS
colossal-cave-adventure [SAVEFILE]
colossal-cave-adventure -h

DESCRIPTION
Colossal Cave Adventure is a text adventure game of exploration.

    Somewhere nearby is Colossal Cave, where others have found fortunes in treasure and gold, though it is rumored that some who enter are never seen again.

Originally named “ADVENT” or “Adventure”, this is the first known work of interactive fiction. As the first text adventure game, it is considered the precursor for the adventure game genre.

In the game, you control a character through simple text commands to explore a cave rumored to be filled with wealth. You earn predetetermined points for acquiring treasure and escaping the cave alive, with the goal to earn the maximum amount of points offered.

This is a re-implementation of the “350-point” version, using the same game content from the original Crowther and Woods PDP-10 source code of the late 1970s.

It uses the original text exactly, and emits responses slow enough to read as the contemporary terminal interfaces did.

OPTIONS

  Positional Arguments

SAVEFILE
    The filename of game you have saved.

  Optional Arguments

--help, -h
    Describe how to use the program.

INVOCATION

  Begin a game
Run the command colossal-cave-adventure in a terminal to begin the game:

        $ colossal-cave-adventure
        WELCOME TO ADVENTURE!!  WOULD YOU LIKE INSTRUCTIONS?
        >

  Restore the game state
If you saved the game state with the in-game save SAVEFILE command, you can restore the game to the same state by specifying the SAVEFILE name when you invoke the program:

        $ colossal-cave-adventure mygame
        GAME RESTORED
        >

COMMANDS

  Interact with the game
At the > prompt, type one- or two-word commands to specify what to do next:

        WELCOME TO ADVENTURE!!  WOULD YOU LIKE INSTRUCTIONS?
        > no
        YOU ARE STANDING AT THE END OF A ROAD BEFORE A SMALL BRICK BUILDING.
        AROUND YOU IS A FOREST.  A SMALL STREAM FLOWS OUT OF THE BUILDING AND
        DOWN A GULLY.
        > go east
        YOU ARE INSIDE A BUILDING, A WELL HOUSE FOR A LARGE SPRING.
        THERE ARE SOME KEYS ON THE GROUND HERE.
        THERE IS A SHINY BRASS LAMP NEARBY.
        THERE IS FOOD HERE.
        THERE IS A BOTTLE OF WATER HERE.
        > get lamp
        OK
        > leave
        YOU'RE AT END OF ROAD AGAIN.
        > go south
        YOU ARE IN A VALLEY IN THE FOREST BESIDE A STREAM TUMBLING ALONG A
        ROCKY BED.

The original Adventure paid attention to only the first five letters of each command, so a long command like inventory could simply be typed as inven. This package defines a symbol for both versions of every long word, so you can type the long or short version as you please.

  Save the game state
You can save the current state of your game at any time with the save SAVEFILE command:

        > save mygame
        GAME SAVED
        > quit
        DO YOU REALLY WANT TO QUIT NOW?
        > y
        OK

NOTES

  Speed of output
For extra authenticity, the output of the Adventure game is typed to your screen at 1200 baud. You will note that although this prints the text faster than you can read it anyway, your experience of the game will improve considerably, especially when a move results in a surprise.

Why is the game better at 1200 baud? When a paragraph of text is allowed to appear on the screen all at once, your eyes scan the entire paragraph for important information, often ruining any surprises before you can then settle down and read it from the beginning. But at 1200 baud, you wind up reading the text in order as it appears, which unfolds the narrative sequentially as the authors of Adventure intended.

HISTORY
This is an implementation of the Colossal Cave Adventure game, originally written in 1975–1977 by Will Crowther and Don Woods. Crowther's original source code, which had been presumed lost for decades, was recovered in 2005 from a backup (dated 1977-03) of Don Woods's student account on the PDP-10 computer at the Stanford Artificial Intelligence Lab (SAIL).

This is the adventure distribution (https://pypi.python.org/pypi/adventure/), ported from the 1977 FORTRAN code to Python 3 by Brandon Craig Rhodes (brandon@rhodesmill.org).

COPYRIGHT
Copyright © 2014–2016 Ben Finney (ben+debian@benfinney.id.au).